function ComboPointsFrame_OnEvent()
	local comboPoints = GetComboPoints();
	local comboPoint, comboPointHighlight, fadeInfo;
	if ( comboPoints > 0 ) then
		if ( not ComboFrame:IsVisible() ) then
			ComboFrame:Show();
			UIFrameFadeIn(ComboFrame, COMBOFRAME_FADE_IN);
		end
		
		for i=1, MAX_COMBO_POINTS do
			comboPointHighlight = getglobal("ComboPoint"..i.."Highlight");
			comboPointHighlight:SetVertexColor(2,2,2);
			comboPointHighlight:SetTexture("Interface\\AddOns\\Colorblind\\Combopoints");
			comboPointHighlight:SetTexCoord(0.125,0.375,0.1,0.9);
			comboPointShine = getglobal("ComboPoint"..i.."Shine");
			if ( i <= comboPoints ) then
				if ( comboPointHighlight:GetAlpha() == 0 or comboPoints == MAX_COMBO_POINTS) then
					-- Fade in the highlight and set a function that triggers when it is done fading
					fadeInfo = {};
					fadeInfo.mode = "IN";
					fadeInfo.timeToFade = COMBOFRAME_HIGHLIGHT_FADE_IN;
					fadeInfo.finishedFunc = ComboPointShineFadeIn;
					fadeInfo.finishedArg1 = comboPointShine;
					UIFrameFade(comboPointHighlight, fadeInfo);
				end
			else
				comboPointHighlight:SetAlpha(0);
				comboPointShine:SetAlpha(0);
			end
		end
	else
		ComboPoint1Highlight:SetAlpha(0);
		ComboPoint1Shine:SetAlpha(0);
		ComboFrame:Hide();
	end
end
